View Single Post
Old 07-12-2017, 05:43 PM   #16
random_id
Human being with feelings
 
random_id's Avatar
 
Join Date: May 2012
Location: PA, USA
Posts: 343
Default

I use the 8.1 SDK version and v141 toolset for all of my projects. Based on that, I think I need to have the "Windows 8.1 SDK and UCRT SDK" installed in the Visual Studio Installer.

There appears to be a similar issue discussed here (https://developercommunity.visualstu...sing-c-in.html)

I wish I was more knowledgeable about this stuff (and XCode). To me, it is very confusing to know what settings to use to have the maximum compatibility. Especially for the Windows 7 and OS 10.old.old hold-outs. Every time I think I understand, VS or XCode is updated and my mind leaks out all existing information.

Edit: As cfillion said, make sure that all projects within the solution (including Lice, IPlug, etc.) have the correct and same settings for SDK and toolset. This includes Debug, Tracer, and Release configurations, and Win32 and x64 platforms.
__________________
Website: LVC-Audio
random_id is offline   Reply With Quote